Package ru.bitel.bgbilling.modules.bill.common.bean

# Class AccountReport

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.bill.common.bean.AccountReport

All Implemented Interfaces:
  `Serializable`, `Comparable<AccountReport>`, `ContractIdable`, `Idable`

public class AccountReport extends IdContractId implements Comparable<AccountReport>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(AccountReport accountReport)`
  `Date`
  `getCreateDate()`
  `BigDecimal`
  `getCreditSum()`
  `BigDecimal`
  `getDebetSum()`
  `String`
  `getDocument()`
  `int`
  `getDocumentId()`
  `String`
  `getDocumentNumber()`
  `int`
  `getType()`
  `AccountReport`
  `setContractId(int contractId)`
  `AccountReport`
  `setCreateDate(Date createDate)`
  `AccountReport`
  `setCreditSum(BigDecimal creditSum)`
  `AccountReport`
  `setDebetSum(BigDecimal debetSum)`
  `AccountReport`
  `setDocument(String document)`
  `AccountReport`
  `setDocumentId(int documentId)`
  `AccountReport`
  `setDocumentNumber(String documentNumber)`
  `AccountReport`
  `setId(int id)`
  Устанавливает id объекта
  `AccountReport`
  `setType(int type)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccountReport

    public AccountReport()

- ## Method Details

  - ### compareTo

    public int compareTo(AccountReport accountReport)
    Specified by:
      `compareTo` in interface `Comparable<AccountReport>`

  - ### getCreateDate

    public Date getCreateDate()

  - ### getCreditSum

    public BigDecimal getCreditSum()

  - ### getDebetSum

    public BigDecimal getDebetSum()

  - ### getDocument

    public String getDocument()

  - ### getDocumentId

    public int getDocumentId()

  - ### getDocumentNumber

    public String getDocumentNumber()

  - ### getType

    public int getType()

  - ### setContractId

    public AccountReport setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setCreateDate

    public AccountReport setCreateDate(Date createDate)

  - ### setCreditSum

    public AccountReport setCreditSum(BigDecimal creditSum)

  - ### setDebetSum

    public AccountReport setDebetSum(BigDecimal debetSum)

  - ### setDocument

    public AccountReport setDocument(String document)

  - ### setDocumentId

    public AccountReport setDocumentId(int documentId)

  - ### setDocumentNumber

    public AccountReport setDocumentNumber(String documentNumber)

  - ### setId

    public AccountReport setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setType

    public AccountReport setType(int type)